LibreOffice LibreOffice 4.2 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Member Functions | List of all members
XVclContainer Interface Referencepublished

represents a VCL container window. More...

`import"XVclContainer.idl";`

Inheritance diagram for XVclContainer:

## Public Member Functions
void | addVclContainerListener ([in] com::sun::star::awt::XVclContainerListener l)
| adds the specified container listener to receive container events from this container. More...
void | removeVclContainerListener ([in] com::sun::star::awt::XVclContainerListener l)
| removes the specified container listener so that it no longer receives container events from this container. More...
sequence < com::sun::star::awt::XWindow > | getWindows ()
| returns all windows. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents a VCL container window.

Deprecated:

## Member Function Documentation

void addVclContainerListener | ( | [in] com::sun::star::awt::XVclContainerListener | l | ) |

adds the specified container listener to receive container events from this container.

sequence<com::sun::star::awt::XWindow> getWindows | ( |  | ) |

returns all windows.

void removeVclContainerListener | ( | [in] com::sun::star::awt::XVclContainerListener | l | ) |

removes the specified container listener so that it no longer receives container events from this container.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XVclContainer.idl